<?php
date_default_timezone_set('America/Lima');

$script_tz = date_default_timezone_get();

if (strcmp($script_tz, ini_get('date.timezone'))){
    echo 'La zona horaria del script difiere de la zona horaria de la configuracion ini.';
} else {
    echo 'La zona horaria del script y la zona horaria de la configuración ini coinciden.';
}
?>

<?php
echo "<br>";

$xcantidad1 = 3.3333333;
if( is_int($xcantidad1)==true ){
	echo "es entero";
}else{
	echo "no es entero";
}
echo "<br>";

echo intval($xcantidad1);
echo "<br>";

//echo date('Y','2016-10-28 00:00:00.000');

echo date("Y-m-d", strtotime("2016-10-28 00:00:00.000")); 

echo "<br>";



echo date('Y');

echo "<br>";


echo md5("Breve2015");

echo "<br>";

echo md5("admin");

echo "<br>";

echo time();

echo "<br>";

echo "FECHA ACTUAL: ".date('d/m/Y H:m:s', time());
echo "<br>";
//2016-10-02T04:00:00
$xfecha_vence = time() + 172800;
//echo "FECHA VENCE: ".date('Y-m-d'T'H:m:s', $xfecha_vence);
$xfecha = date('Y-m-d', $xfecha_vence);
$xhora = date('H:m:s', $xfecha_vence);

$xfecha_vence_cadena = $xfecha."T".$xhora;
echo "FECHA VENCE CADENA: ".$xfecha_vence_cadena ;
echo "<br>";
echo "FECHA VENCE: ".date('Y-m-d H:m:s', $xfecha_vence);

echo "<br>";
echo "FECHA VENCE UNIX: ".$xfecha_vence;
echo "<br>";


$ipvisitante = $_SERVER["REMOTE_ADDR"];
echo $ipvisitante;

echo "<br>";


function getRealIP() {

        if (!empty($_SERVER['HTTP_CLIENT_IP']))
            return $_SERVER['HTTP_CLIENT_IP'];
           
        if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
            return $_SERVER['HTTP_X_FORWARDED_FOR'];
       
        return $_SERVER['REMOTE_ADDR'];
}
echo getRealIP();

echo "<br>";
echo "nombre: ".mysql_real_escape_string(" &#$  or 1'=' eduardo torres");

?>
